{  config, modulesPath, lib, pkgs, ... }:
{
  imports = [
    (modulesPath + "/installer/scan/not-detected.nix")
    (modulesPath + "/profiles/qemu-guest.nix")
    ./vps-disk-config.nix
  ];
  boot.loader.grub = {
    # no need to set devices, disko will add all devices that have a EF02 partition to the list already
    # devices = [ ];
    efiSupport = true;
    efiInstallAsRemovable = true;
  };

  networking.hostName = "tien";

  # do not use DHCP, as dashserv provisions IPs using cloud-init
  networking.useDHCP = pkgs.lib.mkForce false;
  services.cloud-init = {
    enable = true;
    network.enable = true;
  };

  networking.firewall = {
    enable = true;
    trustedInterfaces = [ "tailscale0" ];
  };

  services.tailscale.enable = true;

  environment.systemPackages = with pkgs; [
    curl
  ];

  system.stateVersion = "24.05";
}
